> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.paradex.trade/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.paradex.trade/_mcp/server.

# Get specific block trade offer

GET https://api.testnet.paradex.trade/v1/block-trades/{block_trade_id}/offers/{offer_id}

Get a specific offer by ID for a block trade.

Retrieves detailed information about an offer submitted for a parent block trade.

**Access:** Available to initiator, required signers, or the offering account.

**Returns:**
- Offer ID and parent block trade reference
- Market-specific order information with pricing/sizing
- StarkNet signatures and verification data
- Execution status and timestamps


Reference: https://docs.paradex.trade/api/prod/block-trades/block-offers-get

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Path parameters

- `block_trade_id` (string, required) — Parent Block Trade ID
- `offer_id` (string, required) — Offer ID

## Response

### 200

OK

- `block_expiration` (integer, optional) — Unix timestamp in milliseconds when block expires
- `block_id` (string, optional) — Backend-generated unique identifier
- `block_type` (enum, optional) — Block type
  - Allowed values: `DIRECT`, `OFFER_BASED`
- `created_at` (integer, optional) — When block was created
- `initiator` (string, optional) — Account that initiated this block trade
- `last_updated_at` (integer, optional) — When block was last updated
- `nonce` (string, optional) — Original block nonce
- `parent_block_id` (string, optional) — Parent block ID (if offer-based)
- `required_signers` (list of string, optional) — List of accounts that can participate in the block trade
- `signatures` (map from string to responses.BlockTradeSignature, optional) — Current signatures on this block (for signature verification)
- `status` (enum, optional) — Current status of the block trade
  - Allowed values: `CREATED`, `OFFER_COLLECTION`, `READY_TO_EXECUTE`, `EXECUTING`, `COMPLETED`, `FAILED`, `CANCELLED`
- `trades` (map from string to responses.BlockTradeDetailResponse, optional) — Map of market to trade details

## Errors

### 400 Bad Request Error

Bad Request

- `data` (ResponsesApiErrorData, optional) — any additional data related to the error
- `error` (enum, optional) — unique immutable string identifier for specific error
  - Allowed values: `VALIDATION_ERROR`, `BINDING_ERROR`, `INTERNAL_ERROR`, `NOT_FOUND`, `SERVICE_UNAVAILABLE`, `INVALID_REQUEST_PARAMETER`, `ORDER_ID_NOT_FOUND`, `ORDER_IS_CLOSED`, `ORDER_IS_NOT_OPEN`, `INVALID_ORDER_SIZE`, `CLIENT_ORDER_ID_NOT_FOUND`, `DUPLICATED_CLIENT_ID`, `INVALID_PRICE_PRECISION`, `INVALID_SYMBOL`, `INVALID_TOKEN`, `INVALID_ETHEREUM_ADDRESS`, `INVALID_ETHEREUM_SIGNATURE`, `INVALID_STARKNET_ADDRESS`, `INVALID_STARKNET_SIGNATURE`, `STARKNET_SIGNATURE_VERIFICATION_FAILED`, `BAD_STARKNET_REQUEST`, `ETHEREUM_SIGNER_MISMATCH`, `ETHEREUM_HASH_MISMATCH`, `NOT_ONBOARDED`, `INVALID_TIMESTAMP`, `INVALID_BLOCK_EXPIRATION`, `ACCOUNT_NOT_FOUND`, `INVALID_ORDER_SIGNATURE`, `PUBLIC_KEY_INVALID`, `UNAUTHORIZED_ETHEREUM_ADDRESS`, `UNAUTHORIZED_ERROR`, `ETHEREUM_ADDRESS_ALREADY_ONBOARDED`, `MARKET_NOT_FOUND`, `ALLOWLIST_ENTRY_NOT_FOUND`, `USERNAME_IN_USE`, `GEO_IP_BLOCK`, `ETHEREUM_ADDRESS_BLOCKED`, `PROGRAM_NOT_FOUND`, `PROGRAM_NOT_SUPPORTED`, `INVALID_DASHBOARD`, `MARKET_NOT_OPEN`, `INVALID_REFERRAL_CODE`, `REQUEST_NOT_ALLOWED`, `PARENT_ADDRESS_ALREADY_ONBOARDED`, `INVALID_PARENT_ACCOUNT`, `INVALID_VAULT_OPERATOR_CHAIN`, `VAULT_OPERATOR_ALREADY_ONBOARDED`, `VAULT_NAME_IN_USE`, `VAULT_NOT_FOUND`, `VAULT_STRATEGY_NOT_FOUND`, `VAULT_LIMIT_REACHED`, `BATCH_SIZE_OUT_OF_RANGE`, `ISOLATED_MARKET_ACCOUNT_MISMATCH`, `NO_ACCESS_TO_MARKET`, `POINTS_SUMMARY_NOT_FOUND`, `ALGO_ID_NOT_FOUND`, `INVALID_DERIVATION_PATH`, `PROFILE_STATS_NOT_FOUND`, `INVALID_CHAIN`, `INVALID_LAYERSWAP_SWAP`, `INVALID_RHINOFI_REQUEST`, `INVALID_RHINOFI_QUOTE`, `INVALID_RHINOFI_QUOTE_COMMIT`, `SOCIAL_USERNAME_IN_USE`, `INVALID_OAUTH_REQUEST`, `RPI_ACCOUNT_NOT_WHITELISTED`, `SYSTEM_STATUS_POST_ONLY`, `SYSTEM_STATUS_CANCEL_ONLY`, `INVALID_MARKETING_CODE`, `INVALID_JOIN_WAITLIST_REQUEST`, `TRANSACTION_NOT_FOUND`, `OFFER_NOT_FOUND`, `MARKET_MARGIN_RESTRICTED`, `NOT_UNIQUE`, `ACCOUNT_ALREADY_REFERRED`, `ONBOARDING_PERIOD_EXPIRED`, `ONBOARDING_RATE_LIMITED`, `SUBACCOUNTS_LIMIT_EXCEEDED`, `INSUFFICIENT_MIN_CHAIN_BALANCE`, `INVALID_SUBKEY`, `TOKEN_LIMIT_REACHED`, `INVALID_TOKEN_SCOPE`, `INSUFFICIENT_TRANSFERRABLE_XP`, `TRANSFER_LIMIT_REACHED`
- `message` (string, optional) — detailed description of error and how to address it

### 404 Not Found Error

Not Found

- `data` (ResponsesApiErrorData, optional) — any additional data related to the error
- `error` (enum, optional) — unique immutable string identifier for specific error
  - Allowed values: `VALIDATION_ERROR`, `BINDING_ERROR`, `INTERNAL_ERROR`, `NOT_FOUND`, `SERVICE_UNAVAILABLE`, `INVALID_REQUEST_PARAMETER`, `ORDER_ID_NOT_FOUND`, `ORDER_IS_CLOSED`, `ORDER_IS_NOT_OPEN`, `INVALID_ORDER_SIZE`, `CLIENT_ORDER_ID_NOT_FOUND`, `DUPLICATED_CLIENT_ID`, `INVALID_PRICE_PRECISION`, `INVALID_SYMBOL`, `INVALID_TOKEN`, `INVALID_ETHEREUM_ADDRESS`, `INVALID_ETHEREUM_SIGNATURE`, `INVALID_STARKNET_ADDRESS`, `INVALID_STARKNET_SIGNATURE`, `STARKNET_SIGNATURE_VERIFICATION_FAILED`, `BAD_STARKNET_REQUEST`, `ETHEREUM_SIGNER_MISMATCH`, `ETHEREUM_HASH_MISMATCH`, `NOT_ONBOARDED`, `INVALID_TIMESTAMP`, `INVALID_BLOCK_EXPIRATION`, `ACCOUNT_NOT_FOUND`, `INVALID_ORDER_SIGNATURE`, `PUBLIC_KEY_INVALID`, `UNAUTHORIZED_ETHEREUM_ADDRESS`, `UNAUTHORIZED_ERROR`, `ETHEREUM_ADDRESS_ALREADY_ONBOARDED`, `MARKET_NOT_FOUND`, `ALLOWLIST_ENTRY_NOT_FOUND`, `USERNAME_IN_USE`, `GEO_IP_BLOCK`, `ETHEREUM_ADDRESS_BLOCKED`, `PROGRAM_NOT_FOUND`, `PROGRAM_NOT_SUPPORTED`, `INVALID_DASHBOARD`, `MARKET_NOT_OPEN`, `INVALID_REFERRAL_CODE`, `REQUEST_NOT_ALLOWED`, `PARENT_ADDRESS_ALREADY_ONBOARDED`, `INVALID_PARENT_ACCOUNT`, `INVALID_VAULT_OPERATOR_CHAIN`, `VAULT_OPERATOR_ALREADY_ONBOARDED`, `VAULT_NAME_IN_USE`, `VAULT_NOT_FOUND`, `VAULT_STRATEGY_NOT_FOUND`, `VAULT_LIMIT_REACHED`, `BATCH_SIZE_OUT_OF_RANGE`, `ISOLATED_MARKET_ACCOUNT_MISMATCH`, `NO_ACCESS_TO_MARKET`, `POINTS_SUMMARY_NOT_FOUND`, `ALGO_ID_NOT_FOUND`, `INVALID_DERIVATION_PATH`, `PROFILE_STATS_NOT_FOUND`, `INVALID_CHAIN`, `INVALID_LAYERSWAP_SWAP`, `INVALID_RHINOFI_REQUEST`, `INVALID_RHINOFI_QUOTE`, `INVALID_RHINOFI_QUOTE_COMMIT`, `SOCIAL_USERNAME_IN_USE`, `INVALID_OAUTH_REQUEST`, `RPI_ACCOUNT_NOT_WHITELISTED`, `SYSTEM_STATUS_POST_ONLY`, `SYSTEM_STATUS_CANCEL_ONLY`, `INVALID_MARKETING_CODE`, `INVALID_JOIN_WAITLIST_REQUEST`, `TRANSACTION_NOT_FOUND`, `OFFER_NOT_FOUND`, `MARKET_MARGIN_RESTRICTED`, `NOT_UNIQUE`, `ACCOUNT_ALREADY_REFERRED`, `ONBOARDING_PERIOD_EXPIRED`, `ONBOARDING_RATE_LIMITED`, `SUBACCOUNTS_LIMIT_EXCEEDED`, `INSUFFICIENT_MIN_CHAIN_BALANCE`, `INVALID_SUBKEY`, `TOKEN_LIMIT_REACHED`, `INVALID_TOKEN_SCOPE`, `INSUFFICIENT_TRANSFERRABLE_XP`, `TRANSFER_LIMIT_REACHED`
- `message` (string, optional) — detailed description of error and how to address it

## Types

### responses.BlockTradeSignature

- `nonce` (string, required) — Unique nonce to prevent replay attacks
- `signature_data` (string, required) — Order signature in as a string "[r,s]" signed by account's paradex private key
- `signature_expiration` (integer, required) — Unix timestamp in milliseconds when signature expires
- `signature_timestamp` (integer, required) — Unix timestamp in milliseconds when signature was created
- `signature_type` (enum, required) — Type of cryptographic signature used
  - Allowed values: `STARKNET`
- `signer_account` (string, required) — Starknet account address of the signer

### responses.BlockTradeDetailResponse

- `executed_at` (integer, optional) — When this trade was executed
- `failure_reason` (string, optional) — Reason for failure (if failed)
- `maker_account` (string, optional) — Maker account (if fully executable)
- `maker_fill` (responses.FillResult, optional) — Execution details (if executed)
- `maker_order` (responses.BlockTradeOrder, optional) — Original maker order (for signature generation)
- `market` (string, optional) — Trading pair for this trade
- `price` (string, optional) — Agreed price (if fully executable)
- `size` (string, optional) — Agreed size (if fully executable)
- `taker_account` (string, optional) — Taker account (if fully executable)
- `taker_fill` (responses.FillResult, optional) — Execution details (if executed)
- `taker_order` (responses.BlockTradeOrder, optional) — Original taker order (for signature generation)
- `trade_constraints` (responses.BlockTradeConstraints, optional) — Constraints for offers (if offer-based)
- `trade_id` (string, optional) — Backend-generated unique identifier for this trade

### ResponsesApiErrorData

any additional data related to the error

### responses.FillResult

- `account` (string, optional) — Account that made the fill
- `client_id` (string, optional) — Unique client assigned ID for the order
- `created_at` (integer, optional) — Fill time
- `fee` (string, optional) — Fee paid by the user
- `fee_currency` (string, optional) — Asset that fee is charged in
- `fill_type` (enum, optional) — Fill type, can be FILL, LIQUIDATION or TRANSFER
  - Allowed values: `LIQUIDATION`, `TRANSFER`, `FILL`, `SETTLE_MARKET`, `RPI`, `BLOCK_TRADE`
- `flags` (list of enum, optional) — Fill flags indicating special properties
  - Allowed values: `interactive`, `rpi`, `fastfill`
- `id` (string, optional) — Unique string ID of fill per FillType
- `liquidity` (enum, optional) — Maker or Taker
  - Allowed values: `TAKER`, `MAKER`
- `market` (string, optional) — Market name
- `order_id` (string, optional) — Order ID
- `orderbook_seq_no` (integer, optional) — Orderbook sequence number after trade execution (post-execution state). Use seqno-1 for pre-execution. 0 for position transfers (liquidations, settlements)
- `price` (string, optional) — Price at which order was filled
- `realized_funding` (string, optional) — Realized funding of the fill
- `realized_pnl` (string, optional) — Realized PnL of the fill
- `remaining_size` (string, optional) — Remaining size of the order
- `side` (enum, optional) — Taker side
  - Allowed values: `BUY`, `SELL`
- `size` (string, optional) — Size of the fill
- `underlying_price` (string, optional) — Underlying asset price of the fill (spot price)

### responses.BlockTradeOrder

- `side` (enum, required) — Order side
  - Allowed values: `BUY`, `SELL`
- `type` (enum, required) — Order type
  - Allowed values: `MARKET`, `LIMIT`, `STOP_LIMIT`, `STOP_MARKET`, `TAKE_PROFIT_LIMIT`, `TAKE_PROFIT_MARKET`, `STOP_LOSS_MARKET`, `STOP_LOSS_LIMIT`
- `client_id` (string, optional) — Client-provided identifier
- `market` (string, optional) — Trading pair for this order
- `price` (string, optional) — Order price (omitted for market orders)
- `signature` (string, optional) — Order signature
- `signature_timestamp` (integer, optional) — When order was signed
- `size` (string, optional) — Order size

### responses.BlockTradeConstraints

- `max_price` (string, optional) — Maximum price allowed
- `max_size` (string, optional) — Maximum trade size allowed
- `min_price` (string, optional) — Minimum price allowed
- `min_size` (string, optional) — Minimum trade size allowed

## Examples

**Response**

```json
{
  "block_expiration": 1640995800000,
  "block_id": "block_456",
  "block_type": "OFFER_BASED",
  "created_at": 1640995200000,
  "initiator": "0x123...abc",
  "last_updated_at": 1640995400000,
  "nonce": "67890",
  "parent_block_id": "block_123",
  "required_signers": [
    "string"
  ],
  "signatures": {},
  "status": "COMPLETED",
  "trades": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.testnet.paradex.trade/v1/block-trades/block_trade_id/offers/offer_id"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.testnet.paradex.trade/v1/block-trades/block_trade_id/offers/offer_id';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.testnet.paradex.trade/v1/block-trades/block_trade_id/offers/offer_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.testnet.paradex.trade/v1/block-trades/block_trade_id/offers/offer_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.testnet.paradex.trade/v1/block-trades/block_trade_id/offers/offer_id")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.testnet.paradex.trade/v1/block-trades/block_trade_id/offers/offer_id', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.testnet.paradex.trade/v1/block-trades/block_trade_id/offers/offer_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.testnet.paradex.trade/v1/block-trades/block_trade_id/offers/offer_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```